Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.resolution
Class DependencyExplorer

    java.lang.Object
      com.google.gwt.inject.rebind.resolution.DependencyExplorer

    public class DependencyExplorer

extends java.lang.Object

Explores the unresolved dependencies for a given Ginjector and builds the `DependencyGraph` representing all of the implicit bindings that need to be created to satisfy the dependencies.

See `BindingResolver` for how this fits into the overall algorithm for resolution.

Nested Class Summary
`static class` | `DependencyExplorer.DependencyExplorerOutput` Class that packages up all the output of exploring the unresolved dependencies for a Ginjector.
`static interface` | `DependencyExplorer.Factory`

Constructor Summary
`DependencyExplorer(ImplicitBindingCreator.Factory bindingCreatorFactory, com.google.gwt.core.ext.TreeLogger logger)`

Method Summary
`DependencyExplorer.DependencyExplorerOutput` | `explore(GinjectorBindings origin)` Explore the unresolved dependencies in the origin Ginjector, and create the corresponding dependency graph.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyExplorer

    @Inject
    public DependencyExplorer(ImplicitBindingCreator.Factory bindingCreatorFactory,
                                     com.google.gwt.core.ext.TreeLogger logger)

Method Detail

### explore

    public DependencyExplorer.DependencyExplorerOutput explore(GinjectorBindings origin)

  Explore the unresolved dependencies in the origin Ginjector, and create the corresponding dependency graph. Also gathers information about key in the dependency graph, such as which Ginjector it is already available on, or what implicit binding was created for it.

  Parameters:
    `origin` - the ginjector to build a dependency graph for

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD